package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.NewInstallDto;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface NewInstallService {

    List<Map> count(HttpServletResponse response, NewInstallDto dto);

    Page<Map> countByDept(HttpServletResponse response, Page page, NewInstallDto dto);

    Page<Map> queryInfo(HttpServletResponse response, Page page, NewInstallDto dto);
}
